Disjointness
Keywords: uk.ac.ic.doc.automed.matching.relationships.Disjointness class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching.relationships
Class Disjointness

    java.lang.Object
      uk.ac.ic.doc.automed.matching.relationships.SemanticRelationship
          uk.ac.ic.doc.automed.matching.relationships.Disjointness

    public class Disjointness

extends SemanticRelationship

The Disjointness class represent the disjointness semantic relationship between `SchemaElement` objects.

Field Summary
`static int` | `INDEX`
`static SemanticRelationship` | `INSTANCE` The singleton instance of the `Disjointncess` class
`java.lang.String` | `NAME` The name of the `Disjointness` semantic relationship
`java.lang.String` | `REL_BETWEEN_ELEMENTS`

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares this object against the specified object.
`java.lang.String` | `getName()` Returns the name of the `SemanticRelationship` object
`static SemanticRelationship` | `getRelationship()` Returns an instance of the `Disjointness` class.
`protected int` | `getStrength()` Returns the strength of the `SemanticRelationship` object.
`java.lang.String` | `toString()`

Methods inherited from class uk.ac.ic.doc.automed.matching.relationships.SemanticRelationship
`isStronger`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public final java.lang.String NAME

  The name of the `Disjointness` semantic relationship

  See Also:
    Constant Field Values

### REL_BETWEEN_ELEMENTS

    public final java.lang.String REL_BETWEEN_ELEMENTS

See Also:
  Constant Field Values

### INDEX

    public static final int INDEX

See Also:
  Constant Field Values

### INSTANCE

    public static final SemanticRelationship INSTANCE

  The singleton instance of the `Disjointncess` class

Method Detail

### getRelationship

    public static SemanticRelationship getRelationship()

  Returns an instance of the `Disjointness` class.

  Returns:
    an instance of the `Disjointness` class.

### getStrength

    protected int getStrength()

  Description copied from class: `SemanticRelationship`
  Returns the strength of the `SemanticRelationship` object.

  Specified by:
    `getStrength` in class `SemanticRelationship`
  Returns:
    the strength of the `SemanticRelationship` object.

### getName

    public java.lang.String getName()

  Description copied from class: `SemanticRelationship`
  Returns the name of the `SemanticRelationship` object

  Specified by:
    `getName` in class `SemanticRelationship`
  Returns:
    the name of the `SemanticRelationship` object

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `SemanticRelationship`

### equals

    public boolean equals(java.lang.Object o)

  Description copied from class: `SemanticRelationship`
  Compares this object against the specified object.

  Specified by:
    `equals` in class `SemanticRelationship`
  Returns:
    `true` if the objects are the same, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD